Skip to main content
System Global Type/Progress Bar Operations

GetTaskProgress

GetTaskProgress

GET/zstack/v1/task-progresses/{apiId}

Operation ID

GetTaskProgress

Since

1.11

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Path Parameters

  • apiId
    String

    Optional. The API ID corresponded by the task.

Query Parameters

  • all
    boolean

    Optional. Obtains all the progress information.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventories
    ListRequired

    See inventories.

    • taskUuid
      StringRequired

      The task UUID.

    • taskName
      StringRequired

      The task name.

    • parentUuid
      StringRequired

      The parent UUID.

    • type
      StringRequired

      The resource type.

    • content
      StringRequired

      The content.

    • opaque
      LinkedHashMapRequired

      The opaque.

    • time
      LongRequired

      The time.

    • totalSteps
      IntegerRequired

      The total steps.

    • currentStep
      IntegerRequired

      The current step.

    • subTasks
      ListRequired

      See subTasks.